Jenshinn API Documentations
  1. Public API
Jenshinn API Documentations
  • Jenshinn Public API
    • Public API
      • Get key info
        GET
      • Get issuer details
        GET
      • Enable the key
        POST
      • Disable the key
        POST
      • Get usage
        GET
      • Get receipt PDF
        GET
    • Schemas
      • KeyInfo
      • IssuerInfo
      • UsageDay
      • UsageInfo
      • EnabledResponse
      • ApiError
  1. Public API

Get usage

GET
https://api.jenshinn.com/api/v13.7/usage
Returns usage total, progress, and by day. Requires a verified and enabled key.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or

Responses

🟢200
application/json
Usage total, progress, by day
Body

🟠401
🟠403
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.jenshinn.com/api/v13.7/usage' \
--header 'X-API-KEY: <api-key>'
Response Response Example
200 - Example 1
{
    "usageTotal": 0,
    "usageProgress": 0,
    "usageByDay": [
        {
            "date": "string",
            "dayKey": "string",
            "usage": 0,
            "isToday": true
        }
    ],
    "usageAsOf": "2019-08-24T14:15:22.123Z",
    "price": 0
}
Previous
Disable the key
Next
Get receipt PDF
Built with